NNG_HTTP_RES_GET_REASON(3http)

NAME
nng_http_res_get_reason - return HTTP response reason

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    const char *nng_http_res_get_reason(nng_http_res *res);

DESCRIPTION

The nng_http_res_get_reason() returns a string representing the reason associated with the response res. This is a human-readable explanation of the status code that would be obtained from nng_http_res_get_status().

RETURN VALUES

Reason as a string.

ERRORS

None.

SEE ALSO

nng_http_res_alloc(3http), nng_http_res_get_status(3http), nng_http_res_set_reason(3http), nng(7)